# FoundationClasses
TKernel
NCollection

# NCollection_Vector< TheItemType >::MemBlock Class Reference

Nested class MemBlock.

`#include <NCollection_Vector.hxx>`

Inheritance diagram for NCollection_Vector< TheItemType >::MemBlock:

[legend]

## Public Member Functions

void * | operator new (size_t, void *theAddress)
| MemBlock ()
| Empty constructor.
| MemBlock (const Standard_Integer theFirstInd, const Standard_Integer theSize)
| Constructor.
| MemBlock (const MemBlock &theOther)
| Copy constructor.
virtual void | Reinit (const Standard_Integer theFirst, const size_t theSize)
| Reinit.
virtual | ~MemBlock ()
| Destructor.
const TheItemType & | Value (const Standard_Integer theIndex) const
| Operator () const.
TheItemType & | ChangeValue (const Standard_Integer theIndex)
| Operator ().
Standard_Integer | GetIndex (const TheItemType &theItem) const
| GetIndex.

### template<class TheItemType>
class NCollection_Vector< TheItemType >::MemBlock

## Constructor & Destructor Documentation

template<class TheItemType>
NCollection_Vector< TheItemType >::MemBlock::MemBlock | ( |  | ) | `[inline]`

| Reimplemented from NCollection_BaseVector::MemBlock.

template<class TheItemType>
NCollection_Vector< TheItemType >::MemBlock::MemBlock | ( | const Standard_Integer | theFirstInd,
|  | const Standard_Integer | theSize
| ) | `[inline]`

| Reimplemented from NCollection_BaseVector::MemBlock.

template<class TheItemType>
NCollection_Vector< TheItemType >::MemBlock::MemBlock | ( | const MemBlock & | theOther | ) | `[inline]`

template<class TheItemType>
virtual NCollection_Vector< TheItemType >::MemBlock::~MemBlock | ( |  | ) | `[inline, virtual]`

| Reimplemented from NCollection_BaseVector::MemBlock.

## Member Function Documentation

template<class TheItemType>
TheItemType& NCollection_Vector< TheItemType >::MemBlock::ChangeValue | ( | const Standard_Integer | theIndex | ) | `[inline]`

template<class TheItemType>
Standard_Integer NCollection_Vector< TheItemType >::MemBlock::GetIndex | ( | const TheItemType & | theItem | ) | const`[inline]`

template<class TheItemType>
void* NCollection_Vector< TheItemType >::MemBlock::operator new | ( | size_t | ,
|  | void * | theAddress
| ) | `[inline]`

template<class TheItemType>
virtual void NCollection_Vector< TheItemType >::MemBlock::Reinit | ( | const Standard_Integer | theFirst,
|  | const size_t | theSize
| ) | `[inline, virtual]`

template<class TheItemType>
const TheItemType& NCollection_Vector< TheItemType >::MemBlock::Value | ( | const Standard_Integer | theIndex | ) | const`[inline]`

The documentation for this class was generated from the following file:

- NCollection_Vector.hxx